Bug 1463311 (CVE-2017-1000380)

Summary: CVE-2017-1000380 kernel: information leak due to a data race in ALSA timer
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aquini, bhu, blc, dhoward, fhrbata, gansalmon, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, mlangsdo, nmurray, pholasek, plougher, pmatouse, rt-maint, rvrbovsk, slawomir, vdronov, williams, wmealing
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
It was found that the timer functionality in the Linux kernel ALSA subsystem is prone to a race condition between read and ioctl system call handlers, resulting in an uninitialized memory disclosure to user space. A local user could use this flaw to read information belonging to other users.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:15:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1463314, 1465998, 1465999, 1466001, 1466002, 1466003, 1466004    
Bug Blocks: 1465984    

Description Pedro Sampaio 2017-06-20 14:37:22 UTC
A information leak was found in /dev/snd/timer driver which was prone to a data race, leading to uninitialized memory from the kernel heap being copied to user space. A local user with access to /dev/snd/timer could use this flaw to read kernel space memory of other users.

References:

http://seclists.org/oss-sec/2017/q2/455

https://bugzilla.suse.com/show_bug.cgi?id=1044125

CVE-ID assignment:

http://seclists.org/oss-sec/2017/q2/463

Upstream patches:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=d11662f4f798b50d8c8743f433842c3e40fe3378

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=ba3021b2c79b2fa9114f92790a99deb27a65b728

Comment 1 Pedro Sampaio 2017-06-20 14:37:52 UTC
Acknowledgments:

Name: Alexander Potapenko (Google)

Comment 2 Pedro Sampaio 2017-06-20 14:39:04 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1463314]

Comment 4 Justin M. Forbes 2017-06-21 18:05:31 UTC
This was fixed for Fedora with the 4.11.5 stable update

Comment 5 Vladis Dronov 2017-06-28 16:20:21 UTC
External BTS bug for CVE-2017-1000380:

https://bugzilla.suse.com/show_bug.cgi?id=1044125

Comment 6 Vladis Dronov 2017-06-28 16:34:20 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates of this product due to its life cycle. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2 may address this issue.

Comment 9 errata-xmlrpc 2017-11-30 13:15:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:3295 https://access.redhat.com/errata/RHSA-2017:3295

Comment 10 errata-xmlrpc 2017-11-30 15:26:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3315 https://access.redhat.com/errata/RHSA-2017:3315

Comment 11 errata-xmlrpc 2017-11-30 15:26:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3322 https://access.redhat.com/errata/RHSA-2017:3322